Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution.repository
Class FlowExecutionAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.core.FlowException
                      org.springframework.webflow.execution.repository.FlowExecutionRepositoryException
                          org.springframework.webflow.execution.repository.FlowExecutionAccessException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FlowExecutionRestorationFailureException, NoSuchFlowExecutionException, PermissionDeniedFlowExecutionAccessException

    public abstract class FlowExecutionAccessException

extends FlowExecutionRepositoryException

Base class for exceptions that indicate a flow execution could not be accessed within a repository.

Author:
  Keith Donald, Erwin Vervaet
See Also:
  Serialized Form

Constructor Summary
`FlowExecutionAccessException(FlowExecutionKey flowExecutionKey, java.lang.String message)` Creates a new flow execution access exception.
`FlowExecutionAccessException(FlowExecutionKey flowExecutionKey, java.lang.String message, java.lang.Exception cause)` Creates a new flow execution access exception.

Method Summary
`FlowExecutionKey` | `getFlowExecutionKey()` Returns key of the flow execution that could not be accessed.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowExecutionAccessException

    public FlowExecutionAccessException(FlowExecutionKey flowExecutionKey,
                                        java.lang.String message)

  Creates a new flow execution access exception.

  Parameters:
    `flowExecutionKey` - the key of the execution that could not be accessed
    `message` - a descriptive message

### FlowExecutionAccessException

    public FlowExecutionAccessException(FlowExecutionKey flowExecutionKey,
                                        java.lang.String message,
                                        java.lang.Exception cause)

  Creates a new flow execution access exception.

  Parameters:
    `flowExecutionKey` - the key of the execution that could not be accessed
    `message` - a descriptive message
    `cause` - the root cause of the access failure

Method Detail

### getFlowExecutionKey

    public FlowExecutionKey getFlowExecutionKey()

  Returns key of the flow execution that could not be accessed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD